#
# spec file for package httpsegmenter (svn r12) openSuSE 11.x
#
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to monex@liquid-co.de
#

# norootforbuild

Name:           httpsegmenter
BuildRequires:  gcc gcc-c++ libffmpeg-devel x264-devel
License:        GPL
Group:          Productivity/Networking/Web/Servers
Summary:        Segments live video streams
Version:        0.1.p2fs3
Release:        2.1
URL:            http://code.google.com/p/httpsegmenter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

%define progname segmenter

%description
Segments live video streams based on the Apple HTTP Live Streaming protocol


%debug_package
%prep

%setup -q

%build
make

%install
install -d 755 %buildroot/usr/bin/
install -m 755 %{progname} %buildroot/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{progname}
%doc COPYING.txt


%post
/sbin/ldconfig

%changelog

